function [CP] = COOCOfPatterns(img, patternType, displacements)

    switch patternType
        case 'LBP+'
            [h, Xcod] = LBP_p(img);
        otherwise
    end

    %Compute co-occurrence matrices of patterns
    CM = ComputeCooccurrenceMatrices(Xcod, Xcod, numel(h), displacements, 'Y');
    
    %Serialize the output
    CP = CM(:);
end